Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023922
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-05-27 17:162013-05-28 23:57
ReportermiruritaView Statuspublic 
Assigned Toshankarb 
PriorityhighResolutionfixedFixed in Version3.0MP24
StatusclosedFix in branchpiFixed in SCM revision4b94b5a758f8
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2013-03-11
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/797f69e6a899c12da183a16692453fc0bd1f7d7e [^]
Triggers an Emergency PackNo
Summary

0023922: Tab tree it is not working under some circumstances

DescriptionWhen parsing the tab where clause all the ocurrences of 'e.' pattern are removed.
This is because the alias is removed (if exists).

But it is failing for example in the following example

[e.]projectCategory = 'OBCNTR_CONTRACT' AND [e.]oBCNTRContractTyp[e.]salesContract = true

the second 'e.' is removed by mistake.
Steps To Reproduce1) Create a tab (having a tree) with a where clause that firts the following condition
e.projectCategory = 'OBCNTR_CONTRACT' AND e.oBCNTRContractType.salesContract = true

it must have a property with the 'e' as last character followed by a dot:
in this case oBCNTRContractTyp[e.]salesContract

2) Go to this tab and click on tree icon

the code is doing this
hqlWhereClause = hqlWhereClause.replace("e.", "");

the result is
projectCategory = 'OBCNTR_CONTRACT' AND oBCNTRContractTypsalesContract = true

it replaces by mistake an incorrect 'e.' pattern

the sql fails and the tab tree is not displayed
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2013-05-27 17:12:02.png [^] (15,419 bytes) 2013-05-27 17:16

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0058978)
hgbot (developer)
2013-05-28 06:38

Repository: erp/devel/pi
Changeset: 51de13657be6bc85ec907f7afce90c6fdeb15861
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue May 28 10:04:28 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/51de13657be6bc85ec907f7afce90c6fdeb15861 [^]

Fixes Issue 23922: Tab tree it is not working under some circumstances

The alias was removed even if it was at the end of the word. This resulted in incorrect hql where clause.
Replaced alias only if its the present at the beginning of the string.

---
M src/org/openbravo/erpCommon/utility/WindowTree.java
---
(0058983)
AugustoMauch (developer)
2013-05-28 09:49

It only replaces e. if it is at the beginning of the clause, it should replace it if it is a the beginning of a word
(0058984)
hgbot (developer)
2013-05-28 10:45

Repository: erp/devel/pi
Changeset: 4b94b5a758f85408462bb33987dd15117875a07f
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Tue May 28 14:13:20 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4b94b5a758f85408462bb33987dd15117875a07f [^]

Related to Issue 23922 : Replace all occurences of alias

Earlier regex replaces only the first instance of the alias, now all instances of the alias are removed.

---
M src/org/openbravo/erpCommon/utility/WindowTree.java
---
(0059002)
AugustoMauch (developer)
2013-05-28 18:02

Code reviewed and verified in pi@3b9604eee5d7
(0059010)
hudsonbot (developer)
2013-05-28 23:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4ecad5b5150f [^]

Maturity status: Test
(0059012)
hudsonbot (developer)
2013-05-28 23:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4ecad5b5150f [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-05-27 17:16 mirurita New Issue
2013-05-27 17:16 mirurita Assigned To => AugustoMauch
2013-05-27 17:16 mirurita File Added: Screenshot from 2013-05-27 17:12:02.png
2013-05-27 17:16 mirurita Modules => Core
2013-05-27 17:16 mirurita Triggers an Emergency Pack => No
2013-05-27 17:17 mirurita Regression level => Production - QA Approved
2013-05-27 17:17 mirurita Regression date => 2013-03-11
2013-05-27 17:17 mirurita Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/b69625663ccc [^]
2013-05-27 17:22 AugustoMauch Assigned To AugustoMauch => shankarb
2013-05-28 06:29 shankarb Review Assigned To => AugustoMauch
2013-05-28 06:29 shankarb Status new => scheduled
2013-05-28 06:29 shankarb fix_in_branch => pi
2013-05-28 06:29 shankarb Issue Monitored: AugustoMauch
2013-05-28 06:38 hgbot Checkin
2013-05-28 06:38 hgbot Note Added: 0058978
2013-05-28 06:38 hgbot Status scheduled => resolved
2013-05-28 06:38 hgbot Resolution open => fixed
2013-05-28 06:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/51de13657be6bc85ec907f7afce90c6fdeb15861 [^]
2013-05-28 09:49 AugustoMauch Note Added: 0058983
2013-05-28 09:49 AugustoMauch Status resolved => new
2013-05-28 09:49 AugustoMauch Resolution fixed => open
2013-05-28 10:45 hgbot Checkin
2013-05-28 10:45 hgbot Note Added: 0058984
2013-05-28 12:45 shankarb Status new => scheduled
2013-05-28 12:45 shankarb Status scheduled => resolved
2013-05-28 12:45 shankarb Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/51de13657be6bc85ec907f7afce90c6fdeb15861 [^] => https://code.openbravo.com/erp/devel/pi/rev/4b94b5a758f85408462bb33987dd15117875a07f [^]
2013-05-28 12:45 shankarb Resolution open => fixed
2013-05-28 18:00 AugustoMauch Regression introduced by commit https://code.openbravo.com/erp/devel/pi/rev/b69625663ccc [^] => https://code.openbravo.com/erp/devel/pi/rev/797f69e6a899c12da183a16692453fc0bd1f7d7e [^]
2013-05-28 18:02 AugustoMauch Note Added: 0059002
2013-05-28 18:02 AugustoMauch Status resolved => closed
2013-05-28 18:02 AugustoMauch Fixed in Version => 3.0MP24
2013-05-28 23:56 hudsonbot Checkin
2013-05-28 23:56 hudsonbot Note Added: 0059010
2013-05-28 23:57 hudsonbot Checkin
2013-05-28 23:57 hudsonbot Note Added: 0059012


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker